<template>
  <el-dialog
    :visible.sync="visible"
    title="订单："
    :close-on-click-modal="false"
  >
    <el-table
      :data="orderDataList"
      class="order-table-calss"
      style="width: 100%"
    >
      <el-table-column
        show-overflow-tooltip
        label="订单类型"
        prop="orderType"
      />
      <el-table-column show-overflow-tooltip label="订单号" prop="orderNo" />
      <el-table-column show-overflow-tooltip label="零件号" prop="partNo" />
      <el-table-column show-overflow-tooltip label="零件名称" prop="partName" />
      <el-table-column
        show-overflow-tooltip
        label="需求数量"
        prop="qtyRequired"
      />
      <el-table-column
        show-overflow-tooltip
        label="完成数量"
        prop="qtyFinished"
      />
      <el-table-column
        show-overflow-tooltip
        label="需求日期"
        prop="requiredDate"
      />
      <el-table-column show-overflow-tooltip label="备注" prop="remark" />
    </el-table>
    <div slot="footer" class="dialog-footer">
      <el-button type="info" @click="visible = false">关闭</el-button>
    </div>
  </el-dialog>
</template>

<script>
import { loadOrderHandle } from '@/api/plan/masterproductionschedule'

export default {
  data() {
    return {
      visible: false,
      orderDataList: []
    }
  },
  methods: {
    init(id) {
      this.visible = true
      this.$nextTick(() => {
        loadOrderHandle(id).then((res) => {
          this.orderDataList = res.data.data
        })
      })
    }
  }
}
</script>
<style>
.order-table-calss .el-table__body-wrapper {
  height: auto;
}
</style>
